x11/tk-BWidget - The NetBSD Packages Collection

High-level Widget Set for Tcl/Tk

The BWidget Toolkit is a high-level Widget Set for Tcl/Tk built using
native Tcl/Tk 8.x namespaces.

The BWidgets have a professional look&feel as in other well known
Toolkits (Tix or Incr Widgets), but the concept is radically different
because everything is pure Tcl/Tk.  No platform dependencies, and no
compiling required.  The code is 100% Pure Tcl/Tk.

The BWidget library was originally developed by UNIFIX Online, and
released under both the GNU Public License and the Tcl license.
BWidget is now maintained as a community project, hosted by
Sourceforge.  Scores of fixes and enhancements have been added by
community developers.  See the ChangeLog file for details.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/tcl x11/tk

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hftk-BWidget-1.9.0nb1.tgz
NetBSD 8.0earmv7hftk-BWidget-1.9.0nb1.tgz
NetBSD 8.0earmv7hftk-BWidget-1.9.0nb1.tgz
NetBSD 8.0i386tk-BWidget-1.9.0nb1.tgz
NetBSD 8.0i386tk-BWidget-1.9.0nb1.tgz
NetBSD 8.0powerpctk-BWidget-1.9.0nb1.tgz
NetBSD 8.0powerpctk-BWidget-1.9.0nb1.tgz
NetBSD 8.0powerpctk-BWidget-1.9.0nb1.tgz
NetBSD 8.0powerpctk-BWidget-1.9.0nb1.tgz
NetBSD 8.0x86_64tk-BWidget-1.9.0nb1.tgz
NetBSD 8.0x86_64tk-BWidget-1.9.0nb1.tgz
NetBSD 9.0aarch64tk-BWidget-1.9.0nb1.tgz
NetBSD 9.0aarch64tk-BWidget-1.9.0nb1.tgz
NetBSD 9.0aarch64tk-BWidget-1.9.0nb1.tgz
NetBSD 9.0alphatk-BWidget-1.9.0nb1.tgz
NetBSD 9.0alphatk-BWidget-1.9.0nb1.tgz
NetBSD 9.0alphatk-BWidget-1.9.0nb1.tgz
NetBSD 9.0earmtk-BWidget-1.9.0nb1.tgz
NetBSD 9.0earmtk-BWidget-1.9.0nb1.tgz
NetBSD 9.0earmtk-BWidget-1.9.0nb1.tgz
NetBSD 9.0earmv6hftk-BWidget-1.9.0nb1.tgz
NetBSD 9.0earmv6hftk-BWidget-1.9.0nb1.tgz
NetBSD 9.0earmv6hftk-BWidget-1.9.0nb1.tgz
NetBSD 9.0earmv7hftk-BWidget-1.9.0nb1.tgz
NetBSD 9.0earmv7hftk-BWidget-1.9.0nb1.tgz
NetBSD 9.0earmv7hftk-BWidget-1.9.0nb1.tgz
NetBSD 9.0earmv7hftk-BWidget-1.9.0nb1.tgz
NetBSD 9.0i386tk-BWidget-1.9.0nb1.tgz
NetBSD 9.0i386tk-BWidget-1.9.0nb1.tgz
NetBSD 9.0mips64ebtk-BWidget-1.9.0nb1.tgz
NetBSD 9.0mips64ebtk-BWidget-1.9.0nb1.tgz
NetBSD 9.0mips64ebtk-BWidget-1.9.0nb1.tgz
NetBSD 9.0mips64ebtk-BWidget-1.9.0nb1.tgz
NetBSD 9.0mips64ebtk-BWidget-1.9.0nb1.tgz
NetBSD 9.0mipseltk-BWidget-1.9.0nb1.tgz
NetBSD 9.0mipseltk-BWidget-1.9.0nb1.tgz
NetBSD 9.0mipseltk-BWidget-1.9.0nb1.tgz
NetBSD 9.0mipseltk-BWidget-1.9.0nb1.tgz
NetBSD 9.0powerpctk-BWidget-1.9.0nb1.tgz
NetBSD 9.0powerpctk-BWidget-1.9.0nb1.tgz
NetBSD 9.0powerpctk-BWidget-1.9.0nb1.tgz
NetBSD 9.0powerpctk-BWidget-1.9.0nb1.tgz
NetBSD 9.0sh3eltk-BWidget-1.9.0nb1.tgz
NetBSD 9.0sh3eltk-BWidget-1.9.0nb1.tgz
NetBSD 9.0sh3eltk-BWidget-1.9.0nb1.tgz
NetBSD 9.0sh3eltk-BWidget-1.9.0nb1.tgz
NetBSD 9.0sparc64tk-BWidget-1.9.0nb1.tgz
NetBSD 9.0sparc64tk-BWidget-1.9.0nb1.tgz
NetBSD 9.0sparc64tk-BWidget-1.9.0nb1.tgz
NetBSD 9.0sparctk-BWidget-1.9.0nb1.tgz
NetBSD 9.0sparctk-BWidget-1.9.0nb1.tgz
NetBSD 9.0sparctk-BWidget-1.9.0nb1.tgz
NetBSD 9.0sparctk-BWidget-1.9.0nb1.tgz
NetBSD 9.0sparctk-BWidget-1.9.0nb1.tgz
NetBSD 9.0vaxtk-BWidget-1.9.0nb1.tgz
NetBSD 9.0vaxtk-BWidget-1.9.0nb1.tgz
NetBSD 9.0vaxtk-BWidget-1.9.0nb1.tgz
NetBSD 9.0vaxtk-BWidget-1.9.0nb1.tgz
NetBSD 9.0x86_64tk-BWidget-1.9.0nb1.tgz
NetBSD 9.0x86_64tk-BWidget-1.9.0nb1.tgz
NetBSD 9.0x86_64tk-BWidget-1.9.0nb1.tgz
NetBSD 9.0x86_64tk-BWidget-1.9.0nb1.tgz
NetBSD 9.0x86_64tk-BWidget-1.9.0nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.